import request from '@/utils/request'

// 查询图片管理信息列表
export function listImageManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.imageManagement',
      _mt: 'list',
      ...query
    }
  })
}

// 查询图片管理信息详细
export function getImageManagement(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.imageManagement',
      _mt: 'get',
      id: id
    }
  })
}

// 新增图片管理信息
export function addImageManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.imageManagement',
      _mt: 'add',
      imageManagement: data
    }
  })
}

// 修改图片管理信息
export function updateImageManagement(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.imageManagement',
      _mt: 'update',
      imageManagement: data
    }
  })
}

// 删除图片管理信息
export function delImageManagement(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.cloud.imageManagement',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出图片管理信息
export function exportImageManagement(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.cloud.imageManagement',
      _mt: 'export',
      ...query
    }
  })
}
